from openapi import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.vector_stores.get_file_content(vector_store_id="vs_abc123", file_id="file-abc123")
# Handle response
print(res){
"file_id": "file-abc123",
"filename": "user-guide.pdf",
"attributes": {
"category": "manual",
"version": "2.0"
},
"content": [
{
"type": "text",
"text": "Reset your password from Settings > Security."
}
]
}Recupera o conteúdo completo analisado de um arquivo dentro de um armazenamento vetorial.
from openapi import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.vector_stores.get_file_content(vector_store_id="vs_abc123", file_id="file-abc123")
# Handle response
print(res){
"file_id": "file-abc123",
"filename": "user-guide.pdf",
"attributes": {
"category": "manual",
"version": "2.0"
},
"content": [
{
"type": "text",
"text": "Reset your password from Settings > Security."
}
]
}Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
A ID do armazenamento de vetor.
O ID do arquivo dentro do armazenamento de vetores.
OK
O conteúdo analisado de um arquivo de armazenamento de vetores.
Esta página foi útil?